<!--#include file="../Include/Conn.jsp" -->
<!--#include file="../Include/const.jsp" -->
<!--#include file="../Include/char.jsp" -->

<%
m_grade=request.Cookies("aspxnet")("Curgrade")
m_ID = Request.Cookies("aspxnet")("CurUserID")
m_username=CheckStr(request("username"))

	 if m_username="" then
     Call Msgbox("对不起，参数不足错误！",1)
    Response.end
     end if
	 
	mc_sql="SELECT * FROM T_Member where f_username='"&m_username&"'"
	set rs=server.createobject("adodb.recordset")
    rs.open mc_sql,conn,1,1
	m_Hits = rs("F_hits")
	if rs("f_birthday")<>"" then
	 m_age=cint(year(date())-year(rs("f_birthday"))+1)
	 else 
	 m_age="未知"
	 end if
	if rs.eof then
	Call Msgbox("对不起，无此会员信息！",5)
    Response.end
	end if
	
		  m_SQL = "UPDATE T_Member set F_hits = F_hits +1 WHERE f_username='"&m_username&"'"
 conn.Execute(m_SQL)
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE><%=m_username%>-个人档</TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312"><LINK 
media=all href="css/index_quan.css" type=text/css rel=stylesheet>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR></HEAD>
<BODY>
<DIV id=main>
<DIV id=userinfo><SPAN><A 
href="login.jsp">登陆</A></SPAN> <IMG src="img/logo2.gif" alt=logo width="120" height="15"> </DIV>
<DIV class=rim1>
<DIV id=top>
<H1><%=m_username%>的个人资料</H1><INPUT 
value=<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%> name=Copy><BUTTON 
onclick="window.clipboardData.setData('text',this.previousSibling.value)"></BUTTON> 
<A 
href="javascript:window.external.addFavorite('<%
a=request.servervariables("server_name")
b=request.servervariables("script_name")
c=Request.ServerVariables("QUERY_STRING")
if c="" then
d="http://"&a&b
else
e="?"&c
d="http://"&a&b&e
end if 
Response.Write d
%>','<%=m_username%>的个人资料');">收藏</A> 
</DIV></DIV>
<DIV id=contain>
<DIV id=middle>
<DIV id=right><!--userinfo start-->
<DIV class=rim2>
<H2>个人资料</H2>
<DL class=userinfo>
  <DD>
  <P class=p1><SPAN>英文名:</SPAN> <%=rs("f_erealname")%></P>
  <P class=p1><SPAN>出生日期:</SPAN> <%=rs("f_birthday")%></P>
  <DD>
  <P class=p1><SPAN>真实姓名:</SPAN> <% if request.Cookies("aspxnet")("Curgrade")=1 and m_ID<>"" then %>				
				<%=rs("f_realname")%>
				<% else %>
                  [<font color="#FF0000">您的等级不够</font>] 
                  <% end if %></P>
  <P class=p1><SPAN>性 别</SPAN>:  <% if rs("f_sex")="1" then %>
                  男 
                  <% else %>
                  女 
                  <% end if %></P>
				  
		    <DD>
  <P class=p1><SPAN>民 族:</SPAN> <%=rs("f_nation")%></P>
     <DD>
  <P class=p1><SPAN>血 型:</SPAN> <% if rs("f_weight")<>"" then%><%=rs("f_blood")%>型<% end if %></P>
				  
  <DD>
  <P class=p1><SPAN>所在区域:</SPAN> <%=rs("f_area")%></P>
  <P class=p1><SPAN>星 座:</SPAN> <%=rs("f_star")%></P>
  <DD>
  <P><SPAN>婚姻状况:</SPAN> <%=rs("f_marry")%></P>
  <P><SPAN>毕业院校:</SPAN> <%=rs("f_edu")%></P>
  <DD class=rim3></DD></DL></DIV><!--userinfo end-->
  
  <DIV class=rim2>
<H2>个人说明</H2>
<DL class=userinfo>
  <DD>
  <P class=p1> <%=rs("F_Memo")%></P>
  <DD>
  <DD class=rim3></DD></DL></DIV><!--userinfo end-->
  <!--friend start-->
<DIV class=rim2>
<H2>联系资料</H2>
<DL class=userinfo>
  <DD>
  <P class=p1><SPAN>Q Q:</SPAN>
				<%=rs("f_qq")%>
				</P>
  <P class=p1><SPAN>公 司:</SPAN> <%=rs("F_Corp")%></P>
  <DD>
  <P class=p1><SPAN>邮 编:</SPAN> <%=rs("F_Zipcode")%></P>
  <P class=p1><SPAN>单位电话:</SPAN> <%=rs("F_CorpTel")%></P>
  <DD>
  <P class=p1><SPAN>Email:</SPAN> 
				<%=rs("f_email")%>
				</P>
  <P class=p1><SPAN>地 址:</SPAN><%if request.Cookies("aspxnet")("Curgrade")=1 and m_ID<>"" then %><%=rs("F_Address")%><% else %>
                  [<font color="#FF0000">您的会员等级不够</font>] 
                  <% end if %></P>
  <DD>
  <P><SPAN>电 话: </SPAN><% if request.Cookies("aspxnet")("Curgrade")=1 and m_ID<>"" then %><%=rs("F_Tel")%><% else %>
                  [<font color="#FF0000">您的会员等级不够</font>] 
                  <% end if %></P>
  <P><SPAN>手 机: </SPAN> <% if request.Cookies("aspxnet")("Curgrade")=1 and m_ID<>"" then %><%=rs("F_Mobile")%><% else %>
                  [<font color="#FF0000">您的会员等级不够</font>] 
                  <% end if %></P>
  <DD class=righttxt></DD></DL></DIV><!--friend end--></DIV>
<DIV id=left><!--about start-->
<DIV class=rim2>
<H2>关于我</H2>
<DL id=about>
  <DT>
  <DIV><%if rs("F_MyImage")<>"" then %>
		  <img src="<%=rs("F_MyImage")%>" > 
		  <%else%><img  src="img/mynophoto.gif"><%end if%></DIV>
  <DD><B>昵称:</B> <%=rs("F_UserName")%>
  <DD><B>性别:</B>   <% if rs("f_sex")="1" then %>
                  男 
                  <% else %>
                  女 
                  <% end if %> 
  <DD><B>年龄:</B> <%=m_age%>  
  <DD><B><IMG src="img/ico4.gif"></B> <A 
  href="addfriend.jsp?username=<%=rs("f_username")%>&flag=1">加为好友</A> 

  <DD><B><IMG src="img/ico5.gif"></B> <A 
  href="Center_msgsend.jsp?re_username=<%=rs("f_username")%>" 
  target=_blank>发送信息</A> 
  <DD><B>访问次数</B> <%= m_Hits %>次  
  
  </DD></DL></DIV><!--about end--><!--photo start--><!--photo end--><!--post start--><!--post end--><!--caller start--><!--caller end--><!--count start--><!--count end--></DIV></DIV></DIV>
<DIV id=foot>声明：各空间所有内容均属发表者个人观点，与本站无关，也不代表本站立场与观点<BR>CopyRight &copy; 2006 By 
www.yclife.cn All Rights Reserved. </DIV></DIV>
<SCRIPT language=javascript>
function CebErrors() {
	return true;
}
window.onerror = CebErrors;
if(document.getElementById("left").scrollHeight>document.getElementById("middle").scrollHeight)
{document.getElementById("middle").style.height=document.getElementById("left").scrollHeight+"px";}
</SCRIPT>
</BODY></HTML>
